Name:           perl-SUPER
Version:        1.17
Release:        1%{?dist}
Summary:        Sane superclass method dispatcher
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SUPER/
Source0:        http://search.cpan.org/CPAN/authors/id/C/CH/CHROMATIC/SUPER-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Module::Build) 
BuildRequires:  perl(Test::Simple) >= 0.61
BuildRequires:  perl(Sub::Identify) >= 0.03
BuildRequires:  perl(Scalar::Util) >= 1.20

Requires:       perl(Exporter)
Requires:       perl(Scalar::Util) >= 1.20
Requires:       perl(Sub::Identify) >= 0.03

%{?perl_default_filter:
%filter_from_provides /perl(UNIVERSAL)/d; /perl(DB)/d
%perl_default_filter
}

%description
When subclassing a class, you occasionally want to dispatch control to the
superclass -- at least conditionally and temporarily.   This module provides
an easier, cleaner way for class methods to access their ancestor's
implementation.

%prep
%setup -q -n SUPER-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.17-1
- update filtering
- auto-update to 1.17 (by cpan-spec-update 0.01)
- added a new br on perl(Scalar::Util) (version 1.20)
- altered br on perl(Sub::Identify) (0 => 0.03)
- altered br on perl(Test::Simple) (0 => 0.61)
- added a new req on perl(Scalar::Util) (version 1.20)
- added a new req on perl(Sub::Identify) (version 0.03)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.16-3
- rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 1.16-2
- Adjust License-tag.
- BR: perl(Test::Simple) (BZ 419631).

* Wed Apr 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.16-1
- update to 1.16

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.15-1
- update to 1.15
- add explict requires on perl(Exporter); missed due to a use base construct

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.14-4
- bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.14-3
- update %%description and %%summary

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.14-2
- filter errant perl(DB) provide

* Tue Sep 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.14-1
- Specfile autogenerated by cpanspec 1.69.1.
